Bug 361011 - sysreport produces several AVCs
sysreport produces several AVCs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 17:19 EDT by Matthew Saltzman
Modified: 2008-01-30 14:07 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:07:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-10-31 17:19:07 EDT
Description of problem:
/usr/sbin/sysreport produces several AVCs

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.0.8-42.fc8

How reproducible:
Always

Steps to Reproduce:
1. /usr/sbin/sysreport
2.
3.
  
Actual results:
AVCs

Expected results:
No AVCs

Additional info:

avc: denied { append } for comm=iptables dev=dm-0
path=/root/sysreport-20071031203615/iptables pid=22944
scontext=system_u:system_r:iptables_t:s0 tclass=file
tcontext=system_u:object_r:sysadm_home_dir_t:s0 

avc: denied { write } for comm=prelink dev=dm-0
path=/root/sysreport-20071031203615/rpm-Va pid=2320
scontext=system_u:system_r:prelink_t:s0 tclass=file
tcontext=system_u:object_r:sysadm_home_dir_t:s0 

avc: denied { getattr } for comm=iptables dev=dm-0
path=/root/sysreport-20071031203615/iptables pid=22944
scontext=system_u:system_r:iptables_t:s0 tclass=file
tcontext=system_u:object_r:sysadm_home_dir_t:s0 

avc: denied { getattr } for comm=modprobe dev=dm-0
path=/root/sysreport-20071031203615/iptables pid=22946
scontext=system_u:system_r:insmod_t:s0 tclass=file
tcontext=system_u:object_r:sysadm_home_dir_t:s0 

avc: denied { append } for comm=modprobe dev=dm-0 egid=0 euid=0
exe=/sbin/modprobe exit=0 fsgid=0 fsuid=0 gid=0 items=0
path=/root/sysreport-20071031203615/iptables pid=22946
scontext=system_u:system_r:insmod_t:s0 sgid=0 subj=system_u:system_r:insmod_t:s0
suid=0 tclass=file tcontext=system_u:object_r:sysadm_home_dir_t:s0 tty=pts0 uid=0
Comment 1 Daniel Walsh 2007-12-10 14:59:06 EST
Fixed in selinux-policy-3.0.8-68.fc8
Comment 2 Daniel Walsh 2008-01-30 14:07:11 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.